# Uses of Class
java.awt.font.GlyphVector

Packages that use GlyphVector
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.font
Provides classes and interface relating to fonts.

- ## Uses of GlyphVector in java.awt

  Methods in java.awt that return GlyphVector
  Modifier and Type
  Method
  Description
  `GlyphVector`
  Font.`createGlyphVector(FontRenderContext frc, char[] chars)`
  Creates a `GlyphVector` by mapping characters to glyphs one-to-one based on the Unicode cmap in this `Font`.
  `GlyphVector`
  Font.`createGlyphVector(FontRenderContext frc, int[] glyphCodes)`
  Creates a `GlyphVector` by mapping characters to glyphs one-to-one based on the Unicode cmap in this `Font`.
  `GlyphVector`
  Font.`createGlyphVector(FontRenderContext frc, String str)`
  Creates a `GlyphVector` by mapping characters to glyphs one-to-one based on the Unicode cmap in this `Font`.
  `GlyphVector`
  Font.`createGlyphVector(FontRenderContext frc, CharacterIterator ci)`
  Creates a `GlyphVector` by mapping the specified characters to glyphs one-to-one based on the Unicode cmap in this `Font`.
  `GlyphVector`
  Font.`layoutGlyphVector(FontRenderContext frc, char[] text, int start, int limit, int flags)`
  Returns a new `GlyphVector` object, performing full layout of the text if possible.
  Methods in java.awt with parameters of type GlyphVector
  Modifier and Type
  Method
  Description
  `abstract void`
  Graphics2D.`drawGlyphVector(GlyphVector g, float x, float y)`
  Renders the text of the specified `GlyphVector` using the `Graphics2D` context's rendering attributes.

- ## Uses of GlyphVector in java.awt.font

  Methods in java.awt.font with parameters of type GlyphVector
  Modifier and Type
  Method
  Description
  `abstract boolean`
  GlyphVector.`equals(GlyphVector set)`
  Tests if the specified `GlyphVector` exactly equals this `GlyphVector`.